Qore::StatementInfo Struct Reference

statement information hash as returned by ProgramControl::getStatementIdInfo() More...

## Public Attributes

int | end_line
| statement end line
string | file
| refers to the label given when parsing the code
int | offset
| the offset of the code in source
string | source
| refers to the actual file name or path of the source code (if the label does not provide this info)
int | start_line
| statement start line

## Detailed Description

statement information hash as returned by ProgramControl::getStatementIdInfo()

In case of one code object in one file, then file is the set, source is nullptr, offset is 0, and the line number is taken directly from start_line and end_line.

In case of multiple code objects in one file, then all members are assigned values, in such cases start_line and end_line refer to the line number within the code object, and the line number in the file is calculated by adding with offset, giving the line number offset within source.

Since
  Qore 0.8.13